readosm_member_struct Struct Reference

a struct representing a RELATION-MEMBER, and wrapping an XML fragment like the following: More...

`#include <readosm.h>`

## Data Fields

const int | member_type
| can be one of: READOSM_MEMBER_NODE, READOSM_MEMBER_WAY or READOSM_MEMBER_RELATION
const long long | id
| ID-value identifying the referenced object.
const char * | role
| intended role for this reference

## Detailed Description

a struct representing a RELATION-MEMBER, and wrapping an XML fragment like the following:

    <member type="some-type" ref="12345" role="some-role" />

Examples:
  test_osm1.c, and test_osm2.c.

The documentation for this struct was generated from the following file:

- headers/readosm.h